printOperation を取得する
名前空間: microsoft.graph
printOperationオブジェクトのプロパティとリレーションシップを取得します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
サインインしているユーザーはプリンター管理者 である必要があります。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | Printer.Create、Printer.ReadWrite.All、Printer.FullControl.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | サポートされていません。 |
HTTP 要求
GET /print/operations/{printOperationId}
要求ヘッダー
| 名前 | 説明 |
|---|---|
| Authorization | ベアラー {token}。必須。 |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コードと、応答本文の 200 OK printOperation オブジェクト ( または printOperation の派生) を返します。
例
要求
GET https://graph.microsoft.com/v1.0/print/operations/{printOperationId}
応答
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#print/operations/$entity",
"@odata.type": "#microsoft.graph.printerCreateOperation",
"id": "81f4cca3-b3b7-47ea-9f88-7ddbf7208ef4",
"createdDateTime": "2020-06-15T22:27:03.031849Z",
"certificate": "{ceritificate}",
"status": {
"state": "succeeded",
"description": "The operation has completed successfully."
},
"printer": {
"registeredDateTime": "2020-06-15T22:27:12.0920077Z",
"isShared": false,
"id": "e56f9cdd-acec-486f-a05e-b622ff0bcc7d",
"displayName": "Test Printer",
"manufacturer": "Test Printer Manufacturer",
"model": "Test Printer Model",
"isAcceptingJobs": null,
"status": {
"state": "unknown",
"details": [],
"description": ""
},
"location": {
"latitude": null,
"longitude": null
}
}
}
フィードバック
フィードバックの送信と表示